# User Profile ID Data

A Profile ID comprises the following:

* The address(es) of the generated smart contract accounts (initially Polygon and Solana).
* An email associated with the Profile ID - this is useful for organisations issuing credentials who maintain a database of the recipients' emails, such as a University.
* A URL linked to their Profile ID (<https://www.profile.io/{Profile> ID}).
* A Decentralised Identifier (DID). This is a key component of SSI and is used to cryptographically pair a Verifiable Credential to an identity.
* Web3 DNS Address - either subdomain or standard url.
* Once verified, a verified member badge.
* Algorithmic proof of personhood score for trust mechisms.
* A linked EOA address, such as a MetaMask account (subject to certain rules) or;
* A linked ENS account (such as profile.eth). Only one linked account is permitted per Profile ID.

DIDs are constructed in accordance with [W3C standards](https://www.w3.org/TR/did-core/). A sample of a DID issued on Ethereum appears as follows:

```
{
  '@context': [
    'https://www.w3.org/ns/did/v1',
    'https://w3id.org/security/suites/secp256k1recovery-2020/v2'
  ],
  id: 'did:ethr:0xb9c5714089478a327f09197987f16f9e5d936e8a',
  verificationMethod: [
    {
      id: 'did:ethr:0xb9c5714089478a327f09197987f16f9e5d936e8a#controller',
      type: 'EcdsaSecp256k1RecoveryMethod2020',
      controller: 'did:ethr:0xb9c5714089478a327f09197987f16f9e5d936e8a',
      blockchainAccountId: 'eip155:1:0xb9c5714089478a327f09197987f16f9e5d936e8a'
    }
  ],
  assertionMethod: [
    'did:ethr:0xb9c5714089478a327f09197987f16f9e5d936e8a#controller'
  ],
  authentication: [
    'did:ethr:0xb9c5714089478a327f09197987f16f9e5d936e8a#controller'
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.profile.io/system-overview/profile.io-architecture/user-profile-id-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
